Page MenuHomePhabricator

Add CI to all operations/* repositories and archive obsolete ones
Closed, ResolvedPublic

Description

There are 63 operations/* repositories in Gerrit that do not have CI. Some are probably obsoletes and could be marked archived, others surely could use some CI jobs to be added to them.

List of missing repositories.

Note: operations/dumps/* repositories are tracked via T180328
operations/software/varnish/* are tracked via T180329

RepositoryComment
operations/calico-cniDebian package
operations/calico-containersDebian package
operations/calico-k8s-policy-controller??? Python, forked from some upstream and without a tox
operations/debs/prometheusDebian package
operations/debs/prometheus-jmx-exporterDebian package
operations/debs/spark2Debian package
operations/docker-images/debian
operations/docker-images/docker-pkg/deploy
operations/docker-images/production-images
operations/mediawiki-config/fonts
operations/network-diagrams Deleted, empty and inactive since 2012
operations/puppet/mesos Archived, from May 2015
operations/software/analytics-eventlogging-maintenance Archived. Single abandoned patch
operations/software/bird-lg
operations/software/blazegraph
operations/software/brrd Archived, from April 2015
operations/software/cassandra-metrics-collector
operations/software/cassandra-twcs
operations/software/certpy
operations/software/coal
operations/software/dbtree
operations/software/deployment/trebuchet-trigger
operations/software/dropwizard-metrics
operations/software/druid_exporter
operations/software/elasticsearch/plugins
operations/software/ganglia-logtailer
operations/software/ganglios
operations/software/gdash
operations/software/gerrit
operations/software/grafana/simple-json-datasource
operations/software/grafana/simple-json-datasource-implementation
operations/software/hhvm-dev
operations/software/hhvm-dev/folly
operations/software/hhvm-dev/third-party
operations/software/kibana
operations/software/kubernetes
operations/software/librenms
operations/software/logstash-logback-encoder
operations/software/logstash/plugins
operations/software/matterircd
operations/software/mattermost
operations/software/netbox
operations/software/netbox-deploy
operations/software/nss-dnsdc
operations/software/otrs
operations/software/prometheus_jmx_exporter
operations/software/redactatron
operations/software/rescue-pxe
operations/software/sentry
operations/software/servermon
operations/software/shinkengen
operations/software/statsdlb
operations/software/swift-ring
operations/software/swift-utils
operations/software/tendril
operations/software/tessera
operations/software/tools-checker
operations/software/wmfmariadbpy
operations/software/xhgui
operations/software/xhprof
operations/wheels/devpi
operations/wheels/netbox
operations/wheels/paws-internal

Details

Related Gerrit Patches:

Event Timeline

Change 392439 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Add debian-glue to some Debian packages

https://gerrit.wikimedia.org/r/392439

hashar updated the task description. (Show Details)Nov 20 2017, 3:55 PM
hashar updated the task description. (Show Details)Nov 20 2017, 3:58 PM

Change 392439 merged by jenkins-bot:
[integration/config@master] Add debian-glue to some Debian packages

https://gerrit.wikimedia.org/r/392439

Change 392799 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Add debian-glue (non-voting) to conftool

https://gerrit.wikimedia.org/r/392799

Change 392799 merged by jenkins-bot:
[integration/config@master] Add debian-glue (non-voting) to conftool

https://gerrit.wikimedia.org/r/392799

Ottomata triaged this task as Medium priority.Jan 16 2018, 8:10 PM

Change 458134 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] QA report: debian repo lacking debian-glue

https://gerrit.wikimedia.org/r/458134

Change 458134 merged by jenkins-bot:
[integration/config@master] QA report: debian repo lacking debian-glue

https://gerrit.wikimedia.org/r/458134

Change 458156 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Add debian-glue-non-voting on operations/ repos

https://gerrit.wikimedia.org/r/458156

Change 458156 merged by jenkins-bot:
[integration/config@master] Add debian-glue-non-voting on operations/ repos

https://gerrit.wikimedia.org/r/458156

jbond added a subscriber: jbond.Mar 13 2019, 2:46 PM
hashar closed this task as Resolved.Aug 26 2019, 8:26 AM
hashar claimed this task.

Low hanging fruits had been resolved at time. Then it is a never ending task to add CI and we would need a better process to have CI added at the moment the repositories are created.